Bug 293549 - Calligrawords displays custom pagestyle names wrong
Summary: Calligrawords displays custom pagestyle names wrong
Status: CONFIRMED
Alias: None
Product: calligrawords
Classification: Applications
Component: opendocument (show other bugs)
Version: 2.4-snapshots
Platform: Gentoo Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-07 17:00 UTC by Bernd Buschinski
Modified: 2015-01-22 19:05 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
test document (8.55 KB, application/vnd.oasis.opendocument.text)
2012-02-07 17:00 UTC, Bernd Buschinski
Details
top libreoffice, bottom calligrawords (both) (26.80 KB, image/png)
2012-02-07 17:00 UTC, Bernd Buschinski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Buschinski 2012-02-07 17:00:08 UTC
Created attachment 68599 [details]
test document

Version:           2.4-snapshots (using KDE 4.8.0) 
OS:                Linux

Calligrawords displays custom pagestyle names wrong, or calligra does not decode them
_20_ (or %20) should be displayed as space instead of _20_
and so on

Reproducible: Didn't try

Steps to Reproduce:
- open testdocument

Actual Results:  
- see pagestyle named "Some_20_Thing_Spaces_3f__21_"

Expected Results:  
the name should be "Some Thing Spaces?!"

calligra git master 194ee7c39975e0be1ce37bb9394456290b326019
Comment 1 Bernd Buschinski 2012-02-07 17:00:48 UTC
Created attachment 68600 [details]
top libreoffice, bottom calligrawords (both)
Comment 2 Inge Wallin 2015-01-22 19:05:31 UTC
Git commit 02345e7afed09aead83718329da460acf474468d by Inge Wallin.
Committed on 22/01/2015 at 18:59.
Pushed by ingwa into branch 'calligra/2.9'.

Show the display name of the current page style in the statusbar

...as opposed to the internal mangled name.

This is the simple part of the bug 293549. The complex part of that bug is to
show it also in the page style dialog. But that one crashes when I change page
style so I'll let that one be for now.

M  +3    -1    words/part/KWStatusBar.cpp

http://commits.kde.org/calligra/02345e7afed09aead83718329da460acf474468d